Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::NCResult Class Template Reference

This is similar to Result, but can be used with non-class types. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::NCResult:

[legend]
Collaboration diagram for sc::NCResult:

[legend]
List of all members.

## Public Methods
| NCResult (Compute *c)
| NCResult (const NCResult< T > &r, Compute *c)
| operator T & ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const NCResult< T > &r)

## Detailed Description

### template<class T>
class sc::NCResult< T >

This is similar to Result, but can be used with non-class types.

The documentation for this class was generated from the following file:

- comptmpl.h